<?php
/**
 * Corretor CRM - https://app.corretorcrm.com
 *
 * @version   1.4.1

 * @copyright Copyright (c) 2022-2024 APPCRM DIGITAL TEC
 */

namespace Modules\Core\App\Resource\Import;

use Exception;

class RowSkippedException extends Exception
{
    /**
     * @var \Modules\Core\App\Resource\Import\Failure[]
     */
    protected array $failures;

    /**
     * Create new RowSkippedException instance.
     */
    public function __construct(Failure ...$failures)
    {
        $this->failures = $failures;

        parent::__construct();
    }

    /**
     * @return \Modules\Core\App\Resource\Import\Failure[]
     */
    public function failures(): array
    {
        return $this->failures;
    }
}
