<?php
/**
 * Corretor CRM - https://app.corretorcrm.com
 *
 * @version   1.4.1

 * @copyright Copyright (c) 2022-2024 APPCRM DIGITAL TEC
 */

namespace Modules\Core\App\Updater\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Modules\Core\App\Updater\Release;

class UpdateSucceeded
{
    use Dispatchable, InteractsWithSockets;

    /**
     * Initialize new UpdateSucceeded instance.
     */
    public function __construct(public Release $release)
    {
    }

    /**
     * Get the release.
     */
    public function getRelease(): Release
    {
        return $this->release;
    }

    /**
     * Get the version number the installation was updated to.
     */
    public function getVersion(): string
    {
        return $this->release->getVersion();
    }
}
