/**
 * Corretor CRM - https://app.corretorcrm.com
 *
 * @version   1.4.1

 * @copyright Copyright (c) 2022-2024 APPCRM DIGITAL TEC
 */
import { onUnmounted } from 'vue'
import castArray from 'lodash/castArray'

/**
 * @param  {String|Array} events
 * @param  {Function} callback
 */
export function useGlobalEventListener(events, callback) {
  castArray(events).forEach(eventName => {
    Innoclapps.$on(eventName, callback)

    onUnmounted(() => {
      Innoclapps.$off(eventName, callback)
    })
  })
}

/**
 * @param  {String} eventName
 * @param  {Mixed} params
 */
export function emitGlobal(...args) {
  Innoclapps.$emit(...args)
}
